Bug 174857 - [patch] graphics/xpdf: adopt optionsNG (new options framework)
[patch] graphics/xpdf: adopt optionsNG (new options framework)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-31 09:00 UTC by jgh@FreeBSD.org
Modified: 2013-02-02 00:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.68 KB, patch)
2012-12-31 09:00 UTC, jgh@FreeBSD.org
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jgh@FreeBSD.org freebsd_committer 2012-12-31 09:00:01 UTC
adopt new options framework
Comment 1 Edwin Groothuis freebsd_committer 2012-12-31 09:00:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-02-01 23:59:28 UTC
Author: jgh
Date: Fri Feb  1 23:59:15 2013
New Revision: 311407
URL: http://svnweb.freebsd.org/changeset/ports/311407

Log:
  - adopt optionsNG
  
  PR:		174857
  Approved by:	maintainer timeout, araujo@ ( 31 days)

Modified:
  head/graphics/xpdf/Makefile

Modified: head/graphics/xpdf/Makefile
==============================================================================
--- head/graphics/xpdf/Makefile	Fri Feb  1 23:42:19 2013	(r311406)
+++ head/graphics/xpdf/Makefile	Fri Feb  1 23:59:15 2013	(r311407)
@@ -23,17 +23,18 @@ CONFIGURE_ARGS=	--enable-opi \
 		--with-freetype2-includes="${LOCALBASE}/include/freetype2" \
 		--bindir="${PREFIX}/libexec/xpdf"
 
-OPTIONS=	LIBPAPER "Enable libpaper"      off     \
-		TYPE1	"Ghostscript type1 fonts" on \
-		X11     "Enable X11 support"    on      \
+OPTIONS_DEFINE=	LIBPAPER TYPE1 X11
+LIBPAPER_DESC=	Enable libpaper
+TYPE1_DESC=	Ghostscript type1 fonts
+OPTIONS_DEFAULT=	TYPE1 X11
 
 .include <bsd.port.options.mk>
 
-.if defined(WITH_TYPE1)
+.if ${PORT_OPTIONS:MTYPE1}
 RUN_DEPENDS=	${LOCALBASE}/share/ghostscript/fonts/n021003l.pfb:${PORTSDIR}/print/gsfonts
 .endif
 
-.if defined(WITH_LIBPAPER)
+.if ${PORT_OPTIONS:MLIBPAPER}
 LIB_DEPENDS+=	paper.2:${PORTSDIR}/print/libpaper
 CONFIGURE_ARGS+=--with-libpaper-library="${LOCALBASE}/lib" \
 		--with-libpaper-includes="${LOCALBASE}/include"
@@ -54,15 +55,15 @@ MAN1=		pdffonts.1 \
 		pdftotext.1
 MAN5=		xpdfrc.5
 
-.if defined(WITHOUT_X11)
-PKGNAMESUFFIX+=		-nox11
-CONFIGURE_ARGS+=	--without-x
-PLIST_SUB+=		X11="@comment "
-.else
+.if ${PORT_OPTIONS:MX11}
 CONFIGURE_ARGS+=	--with-x
 USE_MOTIF=		yes
 MAN1+=			xpdf.1
 PLIST_SUB+=		X11=""
+.else
+PKGNAMESUFFIX+=		-nox11
+CONFIGURE_ARGS+=	--without-x
+PLIST_SUB+=		X11="@comment "
 .endif
 
 post-patch:
@@ -70,13 +71,13 @@ post-patch:
 		${WRKSRC}/xpdf/XPDFViewer.h
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 .for file in ANNOUNCE CHANGES README misc/hello.pdf
 	${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
 .endfor
 .endif
-.if !defined(WITHOUT_X11)
+.if ${PORT_OPTIONS:MX11}
 	${LN} -sf ${PREFIX}/libexec/xpdf/xpdf ${PREFIX}/bin/xpdf
 .endif
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 jgh@FreeBSD.org freebsd_committer 2013-02-01 23:59:38 UTC
Responsible Changed
From-To: araujo->jgh

I'll take it.
Comment 4 jgh@FreeBSD.org freebsd_committer 2013-02-02 00:00:11 UTC
State Changed
From-To: open->closed

Committed with maintainer timeout ( 31 days )